<?
require_once('../../../connect/connect.php');
// регистрационная информация (пароль #1)
// registration info (password #1)
$pu=mysql_query("SELECT * FROM service");
$ppu=mysql_fetch_array($pu);

$mrh_pass1 = $ppu['pass_to_robokassa1'];

// чтение параметров
// read parameters
$out_summ = $_REQUEST["OutSum"];
$inv_id = $_REQUEST["InvId"];
$shp_item = $_REQUEST["Shp_item"];
$crc = $_REQUEST["SignatureValue"];

$crc = strtoupper($crc);

$my_crc = strtoupper(md5("$out_summ:$inv_id:$mrh_pass1:Shp_item=$shp_item"));

// проверка корректности подписи
// check signature
if ($my_crc != $crc)
{
  echo "bad sign\n";
  exit();
}

// проверка наличия номера счета в истории операций
// check of number of the order info in history of operations
$f=@fopen("order.txt","r+") or die("error");

while(!feof($f))
{
  $str=fgets($f);

  $str_exp = explode(";", $str);
  if ($str_exp[0]=="order_num :$inv_id")
  { 
	echo "Операция прошла успешно\n";
  }
}
fclose($f);
echo '<br><a href="../../../user/history.php">Перейти в личный кабинет</a>';
?>


